<div class="account-info">
  <div class="account-avatar-row">
    <my-actor-avatar class="main-avatar">
      <img class="account avatar ng-star-inserted" src="{{ !is_null($res['owner']->avatar) ? 'https://video.076.ne.jp'.$res['owner']->avatar->path : '/img/noicon.jpg' }}" alt="アカウントのアバター">
    </my-actor-avatar>
    <div>
      <div class="section-label">アカウント</div>
      <div class="actor-info">
        <div>
          <div class="actor-display-name">
            <h1 title="Created on {{ date('Y/m/d', strtotime($res['owner']->createdAt)) }}">{{ $res['owner']->displayName }}</h1>
          </div>
          <div class="actor-handle">
            <span>{{ '@'.$res['owner']->name }}{{ $res['owner']->host != 'video.076.ne.jp' ? '@'.$res['owner']->host : '' }}</span>
            <button title="Copy account handle" class="btn btn-outline-secondary btn-sm copy-button">
              <span class="glyphicon glyphicon-duplicate"></span>
            </button>
          </div>
          <div class="actor-counters">
            <span>{{ $res['owner']->followersCount }}人登録者</span>・<span class="videos-count ng-star-inserted"> {{ $res['owner']->totalVideo }}枚動画 </span>
          </div>
        </div>
      </div>
    </div>
  </div>
  <div class="description">
    <div class="description-html">
      <p>
        {{ $res['owner']->description }}
      </p>
    </div>
  </div>
  <div class="buttons">
    @include('theme.'.env('THEME').'.component.peertube.parts.common.subscribe')
  </div>
</div>