<my-video-attributes>
  <div class="attribute">
    <span class="attribute-label">公開設定</span>
    <span class="attribute-value ng-star-inserted">{{ $res['detail']->privacy->label }}</span>
  </div>

  <div class="attribute">
    <span class="attribute-label">カテゴリ</span>
    @if (is_null($res['detail']->category->id)) <span class="attribute-value ng-star-inserted">{{ $res['detail']->category->label }}</span>
    @else <a class="attribute-value ng-star-inserted" href="/peertube/search?categoryOneOf={{ $res['detail']->category->id }}">{{ $res['detail']->category->label }}</a> @endif
  </div>

  @if (!is_null($res['detail']->originallyPublishedAt))
    <div class="attribute">
      <span class="attribute-label">投稿日</span>
      <span class="attribute-value ng-star-inserted">{{ date('Y年m月d日', strtotime($res['detail']->originallyPublishedAt)) }}</span>
    </div>
  @endif

  <div class="attribute">
    <span class="attribute-label">ライセンス</span>
    <span class="attribute-value ng-star-inserted">{{ $res['detail']->licence->label }}</span>
  </div>

  <div class="attribute">
    <span class="attribute-label">言語</span>
    @if (is_null($res['detail']->language->id)) <span class="attribute-value ng-star-inserted">{{ $res['detail']->language->label }}</span>
    @else <a class="attribute-value ng-star-inserted" href="/peertube/search?languageOneOf={{ $res['detail']->language->id }}">{{ $res['detail']->language->label }}</a> @endif
  </div>

  <div class="attribute attribute-tags">
    <span class="attribute-label">タグ</span>
    @if (count($res['detail']->tags) > 0)
      <span class="attribute-label">
        @foreach ($res['detail']->tags as $k => $v)
          <a class="attribute-value ng-star-inserted" href="/peertube/search?tagsOneOf={{ $v }}">{{ $v }}</a>{{ count($res['detail']->tags)-1 != $k ? ', ' : '' }}
        @endforeach
      </span>
    @endif
  </div>

  <div class="attribute ng-star-inserted">
    <span class="attribute-label">再生時間</span>
    @php
      $seconds = $res['detail']->duration;
      $hours = floor($seconds / 3600);
      $seconds -= $hours * 3600;
      $minutes = floor($seconds / 60);
      $seconds -= $minutes * 60;
    @endphp
    <span class="attribute-value">{{ $hours != 0 ? $hours.'時' : '' }}{{ $minutes != 0 ? $minutes.'分' : '' }}{{ $seconds.'秒' }}</span>
  </div>
</my-video-attributes>